Bug 854679 - Review Request: python-sudsds - A python SOAP client modified for usage with Czech Databox
Review Request: python-sudsds - A python SOAP client modified for usage with ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
: 854681 (view as bug list)
Depends On:
Blocks: 854690
  Show dependency treegraph
 
Reported: 2012-09-05 10:35 EDT by Jaroslav Škarvada
Modified: 2012-12-20 10:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:34:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsynacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-09-05 10:35:50 EDT
Spec URL: http://fedorapeople.org/~jskarvad/datovka/python-sudsds.spec
SRPM URL: http://fedorapeople.org/~jskarvad/datovka/python-sudsds-1.0-1.fc17.src.rpm
Description: sudsds is a fork of the suds library modified to meet the needs for interaction with the servers of Czech Databox. The modifications are related to HTTPS proxy, server certificate validation and other SSL related functions.
Fedora Account System Username: jskarvad

Actually this is a fork of our python-suds package maintained by CZ.NIC. It is needed by dslib which is needed by Datovka (interface to Czech Databox AKA Datové schránky). CZ.NIC developers are open to idea of merging their changes to original suds (ticket: https://git.nic.cz/redmine/issues/2004). But it doesn't seem to be trivial task. I also started github project to help them with the merge (https://github.com/yarda/suds). In the meantime it would be great to have python-sudsds in Fedora.
Comment 1 Jaroslav Škarvada 2012-09-05 10:41:18 EDT
*** Bug 854681 has been marked as a duplicate of this bug. ***
Comment 2 Jan Synacek 2012-09-13 07:09:08 EDT
Specfile:
- use %global instead of %define

- do not use BuildRoot:

- do not use rm -rf %{buildroot} in install section (unless you intend to use the package for EPEL)

- do not use %defattr (unless you intend to use the package for EPEL)

- also, I believe there is a typo on line 36:
  + rm -f {buildroot}... should probably be rm -f %{buildroot}...

Also, rpmlint complains a lot about incorrect fsf addresses:
python-sudsds.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/sudsds/transport/https.py
python-sudsds.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/sudsds/bindings/__init__.py
python-sudsds.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/sudsds/mx/typer.py

That should probably be reported and corrected by upstream.

Other than that, I don't see any more things that need correction. The package also does not conflict with 'python-suds' that is already present in Fedora.
Comment 3 Jan Synacek 2012-09-13 07:28:35 EDT
A few more things after all.

According to python packaging guidelines, you don't have to define python_sitelib macro on the first line in the spec.

"In RHEL 5 and older, python2 packages that install python modules need to define python_sitelib or python_sitearch macros that tell where to find the python directory that modules are installed in. This is not needed in current Fedora or with python3 modules as the macros are defined by rpm and the python3-devel package."

Also, instead of calling 'python' directly, use the %{__python} macro.
Comment 4 Jaroslav Škarvada 2012-09-17 11:26:29 EDT
Thanks for the review.

> Specfile:
> - use %global instead of %define
>
> According to python packaging guidelines, you don't have to define
> python_sitelib macro on the first line in the spec.
>
> - do not use BuildRoot:
> 
> - do not use rm -rf %{buildroot} in install section (unless you intend to
> use the package for EPEL)
> 
> - do not use %defattr (unless you intend to use the package for EPEL)
> 
I think I needn't, but I can. Personally I am keeping compatibility with old EPELs everywhere, but currently python-dslib is not compatible thus I also removed it from this package.

> - also, I believe there is a typo on line 36:
>   + rm -f {buildroot}... should probably be rm -f %{buildroot}...
> 
Thanks for the catch, fixed.

> Also, rpmlint complains a lot about incorrect fsf addresses:
> python-sudsds.noarch: E: incorrect-fsf-address
> /usr/lib/python2.7/site-packages/sudsds/transport/https.py
> python-sudsds.noarch: E: incorrect-fsf-address
> /usr/lib/python2.7/site-packages/sudsds/bindings/__init__.py
> python-sudsds.noarch: E: incorrect-fsf-address
> /usr/lib/python2.7/site-packages/sudsds/mx/typer.py
> 
> That should probably be reported and corrected by upstream.
> 
I am going to report this.

> Also, instead of calling 'python' directly, use the %{__python} macro.
Fixed.

New versions:
Spec URL: http://fedorapeople.org/~jskarvad/datovka/python-sudsds.spec
SRPM URL: http://fedorapeople.org/~jskarvad/datovka/python-sudsds-1.0-2.fc17.src.rpm
Comment 5 Jan Synacek 2012-09-24 08:08:20 EDT
No other problems that I can see. Approving.
Comment 6 Jaroslav Škarvada 2012-09-24 08:41:36 EDT
New Package SCM Request
=======================
Package Name: python-sudsds
Short Description: A python SOAP client modified for usage with Czech Databox
Owners: jskarvad
Branches: f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-09-24 08:56:59 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-09-25 11:55:47 EDT
datovka-2.1.2-2.fc18,python-dslib-2.1.2-2.fc18,python-sudsds-1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/datovka-2.1.2-2.fc18,python-dslib-2.1.2-2.fc18,python-sudsds-1.0-2.fc18
Comment 9 Fedora Update System 2012-09-25 11:58:29 EDT
python-sudsds-1.0-2.fc17,python-dslib-2.1.2-2.fc17,datovka-2.1.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-sudsds-1.0-2.fc17,python-dslib-2.1.2-2.fc17,datovka-2.1.2-2.fc17
Comment 10 Fedora Update System 2012-09-26 05:08:58 EDT
python-sudsds-1.0-2.fc17, python-dslib-2.1.2-2.fc17, datovka-2.1.2-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-12-20 10:34:48 EST
datovka-2.1.2-2.fc18, python-dslib-2.1.2-2.fc18, python-sudsds-1.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.